WordPress Social Slider Plugin sérülékenység

CH azonosító

CH-5354

Angol cím

WordPress Social Slider Plugin "rA[]" SQL Injection Vulnerability

Felfedezés dátuma

2011.08.09.

Súlyosság

Közepes

Érintett rendszerek

Social Slider plugin
WordPress

Érintett verziók

WordPress Social Slider Plugin 5.x

Összefoglaló

A WordPress Social Slider plugin-jének sérülékenysége vált ismertté, amelyet kihasználva a támadók SQL beszúrásos (SQL injection) támadásokat hajthatnak végre.

Leírás

A “rA[]” POST paraméternek átadott bemeneti adat a social-slider-2/ajax.php-ben nincs megfelelően megtisztítva, mielőtt egy SQL lekérdezésben használnák. Ez kihasználható az SQL lekérdezés módosítására, tetszőleges SQL kód befecskendezésével.

A sérülékenység az 5.6.5 verzióban vált ismertté. Más verziók is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra